;*****************************************************************************
; ImageScript v1.0
; PlayPsyCo Software.
; http://www.playpsyco.com
; Copyright (C) PlayPsyCo Software 2002-2003. All Rights Reserved
; 
; File   : 
; Author : 
; Date   : 
; Updated: 
; 
;**[DESCRIPTION]************************************************************** 
; Image and shader definitions used by '...'
; 
;**[USAGE]******************************************************************** 
; 
;**[TODO]********************************************************************* 
; 
;*****************************************************************************


Shader {
	Name	"face"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE_MINUS_SRC_ALPHA
	}
	Texture {
		Image	"bite-head"
		TexUnit	UNIT0
	}
	Texture {
		Image	"envmap3"
		TexUnit	UNIT1
	}
	ZBuffer {
		Enable	yes
		Write	yes
		Function LEQUAL
	}
}


Shader {
	Name	"blob"
	Texture {
		Image	"refmap"
		TexUnit	UNIT0
	}
	Texture {
		Image	"envmap3"
		TexUnit	UNIT1
	}
}


Shader {
	Name	"i_frame"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE_MINUS_SRC_ALPHA
	}
	Cull {
		Enable	no
	}
	Texture {
		Image	"slide-001"
		TexUnit	UNIT0
	}
	ZBuffer {
		Enable	yes
		Write	no
		Function LEQUAL
	}
	Material {
		Enable	no
		Diffuse	1 1 1 1
	}
}


Shader {
	Name	"i_ground_plane"
	Texture {
		Image	"crakmud8"
		TexUnit	UNIT0
	}
	Material {
		Enable no
		Diffuse 1 1 1 1
	}
}



Shader {
	Name	"i_sky_sphere"
	Texture {
		Image	"clouds3"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"slide_001"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE_MINUS_SRC_ALPHA
	}
	Cull {
		Enable	no
	}
	Texture {
		Image	"slide-001"
		TexUnit	UNIT0
	}
	ZBuffer {
		Enable	yes
		Write	no
		Function LEQUAL
	}
	Material {
		Enable	no
		Diffuse	1 1 1 1
	}
}


Shader {
	Name	"slide_002"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE_MINUS_SRC_ALPHA
	}
	Cull {
		Enable	no
	}
	Texture {
		Image	"slide-002"
		TexUnit	UNIT0
	}
	ZBuffer {
		Enable	yes
		Write	no
		Function LEQUAL
	}
	Material {
		Enable	no
		Diffuse	1 1 1 1
	}
}


Shader {
	Name	"slide_004"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE_MINUS_SRC_ALPHA
	}
	Cull {
		Enable	no
	}
	Texture {
		Image	"slide-004"
		TexUnit	UNIT0
	}
	ZBuffer {
		Enable	yes
		Write	no
		Function LEQUAL
	}
	Material {
		Enable	no
		Diffuse	1 1 1 1
	}
}


Shader {
	Name	"slide_005"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE_MINUS_SRC_ALPHA
	}
	Cull {
		Enable	no
	}
	Texture {
		Image	"slide-005"
		TexUnit	UNIT0
	}
	ZBuffer {
		Enable	yes
		Write	no
		Function LEQUAL
	}
	Material {
		Enable	no
		Diffuse	1 1 1 1
	}
}


Shader {
	Name	"i_tooth"
	Texture {
		Image	"metal3"
		TexUnit	UNIT0
	}
	Texture {
		Image	"envmap3"
		TexUnit	UNIT1
	}
}


Shader {
	Name	"i_tooth_trans"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE_MINUS_SRC_ALPHA
	}
	Cull {
		Enable	no
	}
	Texture {
		Image	"envmap3"
		TexUnit	UNIT0
	}
	ZBuffer {
		Enable	yes
		Write	no
		Function LEQUAL
	}
	Material {
		Enable	no
		Diffuse	1 1 0.5 0.25
	}
}


Shader {
	Name	"i_torus"
	Texture {
		Image	"metal3"
		TexUnit	UNOT0
	}
	Texture {
		Image	"envmap3"
		TexUnit	UNIT1
	}
}


Shader {
	Name	"i_tree_1"
	Alpha {
		Enable yes
		Function GREATER
		Reference 0.1
	}
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE_MINUS_SRC_ALPHA
	}
	Cull {
		Enable	no
		TwoSided yes
	}
	ZBuffer {
		Enable	yes
		Write	yes
		Function LEQUAL
	}
	Texture {
		Image	"plants"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"i_tree_2"
	Alpha {
		Enable yes
		Function GREATER
		Reference 0.1
	}
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE_MINUS_SRC_ALPHA
	}
	Cull {
		Enable	no
		TwoSided yes
	}
	Texture {
		Image	"plants"
		TexUnit	UNIT0
	}
	ZBuffer {
		Enable	yes
		Write	yes
		Function LEQUAL
	}
}


Shader {
	Name	"logo"
	Alpha {
		Enable yes
		Function GREATER
		Reference 0.1
	}
	Blend {
		Enable	yes
		Lighting no
		Src	SRC_ALPHA
		Dst	ONE
	}
	Cull {
		Enable	no
	}
	Texture {
		Image	"logo"
		TexUnit	UNIT0
	}
	ZBuffer {
		Enable	yes
		Write	no
		Function LEQUAL
	}
}


Shader {
	Name	"boid"
	Cull {
		Enable no
		TwoSided yes
	}
	Material {
		Enable   yes
		Ambient  0.4 0.4 0.4 1.0
		Diffuse  0.8 0.8 0.8 1.0
		Specular 1.0 1.0 1.0 1.0
		Shininess 20.0
	}
}
