;*****************************************************************************
; ImageScript v1.0
; PlayPsyCo Software.
; http://www.playpsyco.com
; Copyright (C) PlayPsyCo Software 2002-2003. All Rights Reserved
; 
; File   : 
; Author : 
; Date   : 
; Updated: 
; 
;**[DESCRIPTION]************************************************************** 
; Image and shader definitions used by '...'
; 
;**[USAGE]******************************************************************** 
; 
;**[TODO]********************************************************************* 
; 
;*****************************************************************************


Shader {
	Name	"g_gear"
	Texture {
		Image	"metal3"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"g_sticks"
	Texture {
		Image	"metal3"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"g_box"
	Texture {
		Image	"metal3"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"g_teeth"
	Texture {
		Image	"metal2"
		TexUnit	UNIT0
	}
	Texture {
		Image	"envmap3"
		TexUnit	UNIT1
	}
}


Shader {
	Name	"g_sphere"
	Texture {
		Image	"metal3"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"g_pp"
	Texture {
		Image	"metal2"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"g_trans_type"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE
	}
	Cull {
		Enable	no
	}
	Texture {
		Image	"envmap3"
		TexUnit	UNIT0
	}
	ZBuffer {
		Enable yes
		Write no
		Function LEQUAL
	}
	Material {
		Enable no
		Diffuse 0.25 0.5 0.25 0.25
	}
}

Shader {
	Name	"g_trans_type_teeth"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE
	}
	Cull {
		Enable	no
	}
	Texture {
		Image	"envmap3"
		TexUnit	UNIT0
	}
	ZBuffer {
		Enable yes
		Write no
		Function LEQUAL
	}
	Material {
		Enable no
		Diffuse 0.25 0.25 0.5 0.25
	}
}

Shader {
	Name	"g_trans_type_pp"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE
	}
	Cull {
		Enable	no
	}
	Texture {
		Image	"envmap4"
		TexUnit	UNIT0
	}
	ZBuffer {
		Enable yes
		Write no
		Function LEQUAL
	}
	Material {
		Enable no
		Diffuse 0.5 0.25 0.25 0.25
	}
}

