;*****************************************************************************
; ImageScript v1.0
; PlayPsyCo Software.
; http://www.playpsyco.com
; Copyright (C) PlayPsyCo Software 2002-2003. All Rights Reserved
; 
; File   : 
; Author : 
; Date   : 
; Updated: 
; 
;**[DESCRIPTION]************************************************************** 
; Image and shader definitions used by '...'
; 
;**[USAGE]******************************************************************** 
; 
;**[TODO]********************************************************************* 
; 
;*****************************************************************************


Shader {
	Name	"sky_back"
	Texture {
		Image	"starbox_+z"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"sky_bottom"
	Texture {
		Image	"starbox_-y"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"sky_front"
	Texture {
		Image	"starbox_-z"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"sky_left"
	Texture {
		Image	"starbox_-x"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"sky_right"
	Texture {
		Image	"starbox_+x"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"sky_top"
	Texture {
		Image	"starbox_+y"
		TexUnit	UNIT0
	}
}


Shader {
	Name	"tunnel"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE
	}
	Cull {
		Enable no
	}
	Texture {
		Image	"tunnelfx"
		TexUnit	UNIT0
		CoordR {
			{ Envelope
			2
			Key 0.0 135.233 3 0 0 0 0 0.9997223 0
			Key 180.0 174.056 3 0 0 0 0.9997223 0 0
			Behaviors 1 4
			}
		}
	}
	ZBuffer {
		Enable yes
		Write no
		Function LEQUAL
	}
}


Shader {
	Info	"Flare shader"
	Name	"Flare4"
	Alpha {
		Enable no
		Function GREATER
		Reference 0.1
	}
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE
	}
	Cull {
		Enable	no
	}
	Texture {
		Image	"flare2"
		TexUnit	UNIT0
	}
	ZBuffer {
		Enable	yes
		Write	no
		Function LEQUAL
	}
}


Shader {
	Name	"WaveLinesShader"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE
	}
	ZBuffer {
		Enable	yes
		Write	no
		Function LEQUAL
	}
}


Shader {
	Name	"rings"
	Blend {
		Enable	yes
		Src	SRC_ALPHA
		Dst	ONE
	}
	Cull {
		Enable	no
		TwoSided yes
	}
	Texture {
		Image	"rings"
		TexUnit	UNIT0
		CoordR {
			{ Envelope
			2
			Key 0.0 135.233 3 0 0 0 0 0.9997223 0
			Key 1440.0 174.056 3 0 0 0 0.9997223 0 0
			Behaviors 1 4
			}
		}
	}
	ZBuffer {
		Enable	yes
		Write	no
		Function LEQUAL
	}
	Material {
		Enable	no
		Diffuse	0.5 0.6 0.3 0.3
	}
}


Shader {
	Name	"TunnelMetaballs"
	Texture {
		Image	"envmap3"
		TexUnit	UNIT0
	}
	Material {
		Enable	yes
		Ambient 0.29 0.46 0.71 1
		Diffuse	0.69 0.77 0.87 1
		Specular 1 1 1 1
		Shininess 90
	}
}
